kdegraphics security update

2009-10-16T14:29:57
ID CESA-2009:1512
Type centos
Reporter CentOS Project
Modified 2009-10-16T14:30:00

Description

CentOS Errata and Security Advisory CESA-2009:1512

The kdegraphics packages contain applications for the K Desktop Environment, including KPDF, a viewer for Portable Document Format (PDF) files.

Multiple integer overflow flaws were found in KPDF. An attacker could create a malicious PDF file that would cause KPDF to crash or, potentially, execute arbitrary code when opened. (CVE-2009-0791, CVE-2009-1188, CVE-2009-3604, CVE-2009-3608, CVE-2009-3609)

Red Hat would like to thank Adam Zabrocki for reporting the CVE-2009-3604 issue, and Chris Rohlf for reporting the CVE-2009-3608 issue.

Users are advised to upgrade to these updated packages, which contain a backported patch to resolve these issues.

Merged security bulletin from advisories: http://lists.centos.org/pipermail/centos-announce/2009-October/016193.html http://lists.centos.org/pipermail/centos-announce/2009-October/016194.html

Affected packages: kdegraphics kdegraphics-devel

Upstream details at: